clear all
close all
clc

MVC=load ('mvclez.txt') %acquisizione per MVC
EMG=load ('4flexlez.txt') %acquisizione esperimento



fc=1000; %Frequenza campionamento 
T=1/fc; %Periodo campionamento 

t=(0:length(EMG)-1)*T; %tempo prova (basandomi sul numero dei campioni acquisiti)
deltaT=200e-3; % lunghezza finestra di calcolo RMS RMS (NT)
N=deltaT/T; %numero di campioni nella finestra 

EMG_RMS=RMS(EMG,N); %applico RMS

figure %plotto EMG con sopra RMS
plot(t,EMG)
title('pattern interferenza EMG');
hold on
plot(t,EMG_RMS,'r.')
title('RMS');

%figure %plotto RMS
%plot(t,EMG_RMS)

figure %plotto MVC
plot(T*(0:length(MVC)-1),MVC);
title('misura per MVC e RMS');


MVC_RMS=RMS(MVC,N); %calcolo RMS di MVC
hold on
plot(T*(0:length(MVC)-1),MVC_RMS,'r.');
M=max(MVC_RMS); %prendo il massimo dell'ampiezza della prova alla massima contrazione volontaria

%estraggo la 

EMG_NORM=EMG_RMS/M; % Normalizzazione


figure 
plot(EMG_NORM);
title('EMG normalizzato rispetto a MVC');
intervallo=ginput(2); % select baseline

zero=mean(EMG_NORM(round(intervallo(1)):round(intervallo(2))))+std(EMG_NORM(round(intervallo(1)):round(intervallo(2)))); %valuto lo zero come media + varianza della baseline

soglia=4*zero;


%attivazione non attivazione
for i=1:length(EMG_NORM) %andrebbe fatta una soglia con isteresi 
    if (EMG_NORM(i) >soglia)
        attivazione(i)=0.5;
    else
        attivazione(i)=0;
    end
end






% figure
% subplot(2,1,1)
% plot(t,EMG_NORM)
% subplot(2,1,2)
% plot(t,attivazione)


figure

plot(t,EMG_NORM)
hold on
plot(t,attivazione,'r')
plot(t,soglia*ones(size(attivazione)),'g'); %plotot la soglia per eventuialmente riaggiustarls
title('attivazione - non attivazione');


% stima forza
 EMG=load ('2forzelez.txt') %acquisizione esperimento isometrico
t=(0:length(EMG)-1)*T; %tempo prova (basandomi sul numero dei campioni acquisiti)
EMG_RMS=RMS(EMG,N); %applico RMS
EMG_NORM=EMG_RMS/M; % Normalizzazione
figure
 plot(t,EMG_NORM);
%title('normalizazione rispetto a MVC');

